For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
            • POSTCreate Super Admin
            • POSTCreate Super Admins (batch)
            • GETList Companies with Assigned Super Admins
            • PUTUpdate Super Admin Company Assignments
            • GETGet Super Admin's Assigned Companies
            • GETGet Super Admin Details
            • PUTUpdate Super Admin Details
            • GETList Super Admins with Assigned Companies
            • GETList Super Admins Assigned to Company
            • PUTUpdate Company Super Admins Assignments
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementSuper Admin

List Super Admins Assigned to Company

GET
https://api-b2b.bigcommerce.com/api/v3/io/companies/:companyId/super-admins
GET
/api/v3/io/companies/:companyId/super-admins
$curl https://api-b2b.bigcommerce.com/api/v3/io/companies/14/super-admins \
> -H "X-Auth-Token: <apiKey>"
1{
2 "code": 200,
3 "data": [
4 {
5 "extraFields": [
6 {
7 "fieldName": "customField1",
8 "fieldValue": "foo"
9 }
10 ],
11 "id": 123456,
12 "createdAt": 1745868780,
13 "updatedAt": 1750962754,
14 "channelList": [
15 {
16 "channelId": 1,
17 "channelName": "Great Buys Wholesale",
18 "iconUrl": "https://s3.amazonaws.com/bc-channel-platform/channel-icons/bigcommerce.svg"
19 }
20 ],
21 "firstName": "Marie",
22 "lastName": "Curie",
23 "phone": "string",
24 "uuid": "string",
25 "email": "marie.curie@example.com"
26 }
27 ],
28 "meta": {
29 "message": "Success",
30 "pagination": {
31 "offset": 0,
32 "limit": 10,
33 "totalCount": 789
34 }
35 }
36}

Lists all Super Admins assigned to the Company associated with companyId. This endpoint includes extended Super Admin account data for each Super Admin. The id returned in the response may be used with other Super Admin API endpoints as the superAdminId.

Was this page helpful?
Previous

List Super Admins with Assigned Companies

Next

Update Company Super Admins Assignments

Built with

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

companyIdintegerRequired

The unique ID of a Company. Can be used with the B2B Edition Companies API endpoints (see Company Management or Companies and Users for more information).

Query parameters

limitintegerOptional1-200Defaults to 10
Maximum number of entries to return per page of results.
offsetintegerOptional>=0Defaults to 0
The number of entries to skip before returning the current page of results.
qstringOptional

Search string for the request. Response data will be limited to accounts matching this string in firstName, lastName, or email.

isIncludeExtraFieldsenumOptionalDefaults to 0

Indicates whether to include extra fields in the response. A value of 0 will exclude extra fields, while a value of 1 will include them.

Allowed values:

Response

SUCCESS
codeintegerDefaults to 200
datalist of objects
metaobject

Errors

404
Not Found Error
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.